local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.FarmingGoldWithFishing(container)

local frame = AceGUI:Create("Frame")
frame:SetTitle("Farming Gold With Fishing")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetLayout("Fill")


scrollcontainer = AceGUI:Create("SimpleGroup") -- "InlineGroup" is also good
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) -- probably?
scrollcontainer:SetLayout("Fill") -- important!

frame:AddChild(scrollcontainer)

scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") -- probably?
scrollcontainer:AddChild(scroll)
  
  
  
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Fishing:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Fishing is by far one of the most underrated Professions. This is because it is one of the easiest gathering professions to do, the barrier to entry is low and the gold per hour for farms are reasonable for sitting still most of the time.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("To get started with Fishing in game, you'll want to learn fishing in either Stormwind for Alliance and Orgrimmar for Horde. At the trainers in there respective cities you can learn the fishing skills from Vanilla to Warlords of Draenor, this is quite a handy perk as you wont have to learn much flying around the map to gain the skills to level up as much with most other professions.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)  

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Vanilla")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("We will first start off with Fishing in Vanilla, this is started by making your way over towards the Wailing Caverns dungeon in the Northen Barrens. Outside of the cave you will be able to fish the pool localised throughout the area. These will in turn give you Deviate Fish which can be sold on the Auction House for a significant amount of gold for a Vanilla material. You will be wanting to fish in these pools until you reach a skill level of around 225, once this is achieved you will need to make your way over towards the Blasted Lands and fish in the waters around there. This is for a fish called the “White Scale Salmon” which is also noted as a good seller on higher pop servers, which is something to keep in mind moving forward. Fishing in the Blasted Lands you will want to fish here until you are maxed in your skill cap for 300.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Burning Crusade")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("As for Burning Crusade Fishing, there are not many fish that sell for all that much in this expansion though you do have the ability to fish up “Motes of Water” which can be turned into “Primal Water” and can be sold on the Auction House for a fair amount of gold as it is used in some higher end crafts in gold making. Though the area you will be wanting to fish in is Terokkar Forest at cords 66.5 80.0 here you will want to skill up here. This is because even though the fish don't go for a lot you will want to at least get something for your troubles, here by having the chance of farming the item“Mr Pinchy's Magical Crawdad Box” which will  provide you with the battle pet “Magical Crawdad” which is a nice bonus to the skilling of you Fishing in BC.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Northrend:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Following onto this for Northrend, we will be wanting to farm a high ticket item which sells rather well even today. This is the “Pygmy Suckerfish” these are used in Alchemy to create “Pygmy Oil” for other Alchemy crafts and sell rather well. This makes sense to farm this in the Howling Fjord as this has the most amount of nodes for you to farm. That being said we also while levelling want to increase the amount of gold while levelling so this is a no brainer when it comes to levelling and gold farming in general.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Cataclysm:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("As for Cataclysm, most fish in this expansion is not worth farming, besides one. This is the Albino cavefish which can be farmed in the waters of Deepholm. This definitely makes up for the lack of value for the others as this is a keynote item which is used to craft the “Vial of the Sands” mount and because of this it fetches some strong gold in the overall game for fishing materials. Failing this if you do not wish to farm this area you can also level up you skill for Cataclysm in the Darkmoon Island providing the Darkmoon Faire is up and this will be for Darkmoon Daggermaw. These can fetch a lower gold value but higher sell rate overall so the choice is up to your own digression on that note.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Mists of Pandaria:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Moving into Mists of Pandaria we will be wanting to do only one farm and this is located in “The Vale of Eternal Blossoms”. Here you will be fishing for the fish “Golden Carp” this is used quite a lot of cooking in Mists and has a good gold per hour as well as higher than normal sell rate for fishing materials. This farm also has an added bonus to obtain multiple variations of a battle pet called “Tiny Carp” which go for a strong gold value on the Auction House but something to bare in mind that this battle pet sells a lot slower than the fish do.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Warlords of Draenor:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("As we get into Warlords of Draenor we will need to look at the Garrison for our source of levelling. To be more specific we will be looking at the Fishing Shack, here you will be wanting to fish in the pools just offset the Fishing Shack. This is where we will be situated for the duration of our levelling process, however you may want to take into account that the fish you get will be provided as whole fish and we can catch these already prepared by buying the Barbed Fishing Hook for the Shack. This will cut the fish up for crafters while we fish and this gives it a better chance of sales into the future ( note: this only works for this expansion).")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Legion+:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Following onto this we will be making our way into the Fishing skill of Legion. Here we will need to learn the skill for Legion Fishing and we get this by going to the “Broken Isles Dalaran”. Once obtain we should make our way over towards Azsuna as this zone drops Cursed Queenfish  which can sell for a pretty penny. However in recent years most of the fish from Legion have become null so this means that a lot of them will not sell as fast as the others do. However we can farm here for the fish that will sell better than most of the other on average. You will be needing to fish in Azsuna for the Duration of your levelling experience like most of the fishing farms.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)




  
  
  
  
  
  
  
  

end